Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface Servlet

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter

public interface Servlet
extends J2EEManagedObject

See Also:
  `ServletMonitor`, `WebModuleVirtualServerMonitor`

Field Summary
`static java.lang.String` | `J2EE_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String[]` | `findMappings()`
`int` | `getClassLoadTime()` Class loading time
`java.lang.String` | `getEngineName()` Fully qualified class name of the managed object
`boolean` | `getEventProvider()` Event provider support for this managed object
`long` | `getLoadTime()` Load time
`java.lang.String` | `getModelerType()` Type of the modeled resource.

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

See Also:
  Constant Field Values

Method Detail

### getClassLoadTime

    public int getClassLoadTime()

  Class loading time

### getEngineName

    public java.lang.String getEngineName()

  Fully qualified class name of the managed object

### getEventProvider

    public boolean getEventProvider()

  Event provider support for this managed object

### getLoadTime

    public long getLoadTime()

  Load time

### getModelerType

    public java.lang.String getModelerType()

  Type of the modeled resource.

### findMappings

    public java.lang.String[] findMappings()

  Returns:
    String[]

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.